Package Details: quictls-openssl 3.1.5+quic1-0

Git Clone URL: https://aur.archlinux.org/quictls-openssl.git (read-only, click to copy)
Package Base: quictls-openssl
Description: TLS/SSL and crypto library with QUIC APIs based on OpenSSL.
Upstream URL: https://github.com/quictls/openssl
Licenses: Apache
Submitter: atlesn
Maintainer: atlesn
Last Packager: atlesn
Votes: 1
Popularity: 0.000029
First Submitted: 2022-06-07 11:04 (UTC)
Last Updated: 2024-02-02 16:02 (UTC)

Pinned Comments

atlesn commented on 2024-02-02 16:05 (UTC)

The OpenSSL project has now introduced some QUIC-functionallity in version 3.2 which breaks the quictls patches. Since other Arch packages now depend on 3.2, this AUR package can no longer function as replacement for OpenSSL.

As a temporary solution, quictls-openssl version 3.1.5 will be installed into the /opt/quictls-openssl directory. This allows the stock OpenSSL 3.2 to be installed during upgrades.

Latest Comments

atlesn commented on 2024-02-02 16:05 (UTC)

The OpenSSL project has now introduced some QUIC-functionallity in version 3.2 which breaks the quictls patches. Since other Arch packages now depend on 3.2, this AUR package can no longer function as replacement for OpenSSL.

As a temporary solution, quictls-openssl version 3.1.5 will be installed into the /opt/quictls-openssl directory. This allows the stock OpenSSL 3.2 to be installed during upgrades.

receptacular commented on 2023-08-02 14:44 (UTC)

Careful about installing this right now. It breaks Git when using HTTPS URLs (and probably other packages). It has an error about being built with OpenSSL 3.1.1 but having 3.0.9. It seems like upstream QuicTLS is not updated yet.

MarsSeed commented on 2022-07-07 02:31 (UTC)

Hi,

Please don't define a branch as source. This is not a VCS package whose name is suffixed with e.g., '-git'..

Link the source to a specific tag or commit.

Also please kindly add makedepends=('git') as per required by Arch package guidelines.